Module RedisInterface
    Interface
        SUBROUTINE addnums(a, b) BIND(C,name='addnums')
            USE, INTRINSIC :: ISO_C_BINDING, ONLY: C_INT
            IMPLICIT NONE
            INTEGER(C_INT) :: a, b
        END SUBROUTINE addnums
    End Interface
END Module RedisInterface
program test
    use RedisInterface
    ! external addnums
    integer::x,y
    x=5
    y=12
    call addnums(x,y)
end program

